#include <iostream>
#include <algorithm>
#include <bits/stdc++.h>

void sort(int arr[], int n) {
    for (int i = 0; i < n; i++) 
    { int key = arr[i]; 
    int j = i - 1; 
    while (j >= 0 && arr[j] > key) 
    {
        arr[j + 1] = arr[j];
        j--;
    }

        arr[j + 1] = key;
    }
}

bool del(int *arr, int &lenght, int pos)
{
    for(int i = pos - 1; i < lenght - 1; i++)
    {
        arr[i] = arr[i + 1];
    }
    lenght--;
    return true;
}

int main ()
{
  int n = 0;
  std::cin >> n;
  int *arr = new int [n];

  for (int i; i < n; i++)
    {
      std::cin >> arr[i];
    }
    
    sort(arr, n);
  
    for (int i = 0; i < n; i++)
    {
      for(int j = i+1; j < n; j++)
      {
         if(arr[i]==arr[j])
         {
             del(arr, n, arr[j]);
            j--;
         }

      }
    }
      
      for (int i; i < n; i++)
    {
      std::cout << arr[i];
    }
  return 0;
}